%{?nodejs_find_provides_and_requires}

%global packagename co-mocha

# Tests disabled due to missing dependencies ('ava')
%global enable_tests 0

Name:		nodejs-co-mocha
Version:	1.1.2
Release:	1%{?dist}
Summary:	Enable support for generators in Mocha tests

License:	MIT
URL:		https://github.com/blakeembrey/co-mocha.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/blakeembrey/co-mocha/v1.1.2/test.js



BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(co)
BuildRequires:	npm(is-generator)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Enable support for generators in Mocha tests


%prep
%setup -q -n package

cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json co-mocha.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --harmony -R spec --require lib/co-mocha.js --bail
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Initial packaging
